Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Mon, 05 Nov 2018 10:36:18 +0100

> So following your suggestion I reimplemented this feature in windmove.el
 > because it fits its description "directional window-selection routines":

Looks very good now.  This one

 > +;;;###autoload
 > +(defun windmove-display-default-keybindings (&optional modifiers)

should be wrapped in a 'defcustom' IMHO.  And while I think that the
prompt-like

(message "[display-%s]" dir)

is a good idea, it might fire back when the selected frame does not
have an echo area.  So I think it should be made customizable too.

IMHO we should provide l, r, u/t, d/b directional keybindings as well.

And eventually we could provide something for handling frames too---in
particular, moving to and/or popping up a new frame adjacent to the
selected one on either side.

martin